drop _all
macro drop _all
capture log close
set more 1
set memory 750m
set matsize 400


*THIS FILE CREATES COUNTS OF WORKERS BY ANNUAL HOURS WORKED USING PERI'S DEFINITIONS

use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums60.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork2==0 | hrswork2==0  
drop if incwage==999999 | incwage==0  

gen foreign=0
replace foreign=1 if bpl>100

#delimit ;
generate weeks=6.5*(wkswork2==1) + 20*(wkswork2==2) + 33*(wkswork2==3) + 43.5*(wkswork2==4) + 48.5*(wkswork2==5) + 51*(wkswork2==6) ;
generate hours=7.5*(hrswork2==1) + 22*(hrswork2==2) + 32*(hrswork2==3) + 37*(hrswork2==4) + 40*(hrswork2==5) + 44.5*(hrswork2==6) 
	+ 54*(hrswork2==7) + 70*(hrswork2==8) ;
#delimit cr

drop if higrade==0
gen Edugroup=.
replace Edugroup=1 if higrade<=14 
replace Edugroup=2 if higrade==15 
replace Edugroup=3 if higrade>15 & higrade<19 
replace Edugroup=4 if higrade>=19

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

replace perwt=perwt*hours*weeks/2000
keep perwt Expgroup Edugroup foreign sex
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

collapse (sum) perwt empl_us empl_for, by(Edugroup Expgroup sex)

gen year=1960
save rep1960.dta, replace



use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums70.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork2==0 | hrswork2==0  
drop if incwage==999999 | incwage==0  

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

#delimit ;
generate weeks=6.5*(wkswork2==1) + 20*(wkswork2==2) + 33*(wkswork2==3) + 43.5*(wkswork2==4) + 48.5*(wkswork2==5) + 51*(wkswork2==6) ;
generate hours=7.5*(hrswork2==1) + 22*(hrswork2==2) + 32*(hrswork2==3) + 37*(hrswork2==4) + 40*(hrswork2==5) + 44.5*(hrswork2==6) 
	+ 54*(hrswork2==7) + 70*(hrswork2==8) ;
#delimit cr

drop if higrade==0
gen Edugroup=.
replace Edugroup=1 if higrade<=14 
replace Edugroup=2 if higrade==15 
replace Edugroup=3 if higrade>15 & higrade<19 
replace Edugroup=4 if higrade>=19

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

replace perwt=perwt*hours*weeks/2000
keep perwt Expgroup Edugroup foreign sex
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

collapse (sum) perwt empl_us empl_for, by(Edugroup Expgroup sex)

gen year=1970
save rep1970.dta, replace




use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums80.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork1==0 | hrswork1==0  
drop if incwage==999999 | incwage==0  

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

gen weeks=wkswork1
gen hours=uhrswork

drop if higrade==0
gen Edugroup=.
replace Edugroup=1 if higrade<=14 
replace Edugroup=2 if higrade==15 
replace Edugroup=3 if higrade>15 & higrade<19 
replace Edugroup=4 if higrade>=19

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

replace perwt=perwt*hours*weeks/2000
keep perwt Expgroup Edugroup foreign sex
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

collapse (sum) perwt empl_us empl_for, by(Edugroup Expgroup sex)

gen year=1980
save rep1980.dta, replace



use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums90.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork1==0 | hrswork1==0  
drop if incwage==999999 | incwage==0  

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

gen weeks=wkswork1
gen hours=uhrswork

drop if educ99==0
gen Edugroup=.
replace Edugroup=1 if educ99<=9 
replace Edugroup=2 if educ99==10 
replace Edugroup=3 if educ99>10 & educ99<14 
replace Edugroup=4 if educ99>=14

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

replace perwt=perwt*hours*weeks/2000
keep perwt Expgroup Edugroup foreign sex
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

collapse (sum) perwt empl_us empl_for, by(Edugroup Expgroup sex)

gen year=1990
save rep1990.dta, replace






use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums00.dta", clear

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork1==0 | uhrswork==0  
drop if incwage==999999 | incwage==0  

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

gen weeks=wkswork1
gen hours=uhrswork

drop if educ99==0
gen Edugroup=.
replace Edugroup=1 if educ99<=9 
replace Edugroup=2 if educ99==10 
replace Edugroup=3 if educ99>10 & educ99<14 
replace Edugroup=4 if educ99>=14

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

replace perwt=perwt*hours*weeks/2000
keep perwt Expgroup Edugroup foreign sex
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

collapse (sum) perwt empl_us empl_for, by(Edugroup Expgroup sex)

gen year=2000
save rep2000.dta, replace



use "C:\Istata\PUMS\GRGR\Peri\Ipums\acs04.dta", clear

generate survey=2000+year
keep if survey==2004

drop if gq ==0 | gq==3 |gq==4  
drop if age<17 | age>65  
drop if wkswork1==0 | uhrswork==0  
drop if incwage==999999 | incwage==0  

gen weeks=wkswork1
gen hours=uhrswork

gen foreign=0
replace foreign=1 if bpl>100 & citizen>1

drop if educ99==0
gen Edugroup=.
replace Edugroup=1 if educ99<=9 
replace Edugroup=2 if educ99==10 
replace Edugroup=3 if educ99>10 & educ99<14 
replace Edugroup=4 if educ99>=14

gen starwork=.
replace starwork=17 if Edugroup==1
replace starwork=19 if Edugroup==2
replace starwork=21 if Edugroup==3
replace starwork=23 if Edugroup==4

gen experience=age-starwork
drop if experience<0 | experience>40
gen Expgroup=.
replace Expgroup=1 if experience>=0 & experience<5 
replace Expgroup=2 if experience>=5 & experience<10  
replace Expgroup=3 if experience>=10 & experience<15 
replace Expgroup=4 if experience>=15 & experience<20 
replace Expgroup=5 if experience>=20 & experience<25
replace Expgroup=6 if experience>=25 & experience<30 
replace Expgroup=7 if experience>=30 & experience<35 
replace Expgroup=8 if experience>=35 & experience<=40 

replace perwt=perwt*hours*weeks/2000
keep perwt Expgroup Edugroup foreign sex
sort Edugroup Expgroup

gen empl_us=perwt*(1-foreign)
gen empl_for=perwt*foreign

collapse (sum) perwt empl_us empl_for, by(Edugroup Expgroup sex)

gen year=2004
save rep2004.dta, replace



*APPEND DATA TO FORM PANEL

use rep1960.dta, clear
append using rep1970.dta
append using rep1980.dta
append using rep1990.dta
append using rep2000.dta
append using rep2004.dta

rename year survey
rename Edugroup edcode
rename Expgroup expcode
rename empl_us native
rename empl_for immig

reshape wide native immig perwt, i(edcode expcode survey) j(sex) 
for any immig native perwt : ren X1 Xm
for any immig native perwt : ren X2 Xf

sort survey edcode expcode
save table3_count, replace

for any 1960 1970 1980 1990 2000 2004 : erase repX.dta
